org.springframework.cloud.dataflow.rest.client.config

## Class DataFlowClientProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.config.DataFlowClientProperties

-     @ConfigurationProperties(prefix="spring.cloud.dataflow.client")
      public class DataFlowClientProperties
      extends Object

  Configuration properties used in `DataFlowClientAutoConfiguration`
  Author:
    Vinicius Carvalho, David Turanski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataFlowClientProperties.Authentication`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowClientProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataFlowClientProperties.Authentication` | `getAuthentication()`
    `String` | `getServerUri()`
    `boolean` | `isEnableDsl()`
    `boolean` | `isSkipSslValidation()`
    `void` | `setAuthentication(DataFlowClientProperties.Authentication authentication)`
    `void` | `setEnableDsl(boolean enableDsl)`
    `void` | `setServerUri(String serverUri)`
    `void` | `setSkipSslValidation(boolean skipSslValidation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFlowClientProperties

          public DataFlowClientProperties()

  - ### Method Detail

    - #### isEnableDsl

          public boolean isEnableDsl()

    - #### setEnableDsl

          public void setEnableDsl(boolean enableDsl)

    - #### isSkipSslValidation

          public boolean isSkipSslValidation()

    - #### setSkipSslValidation

          public void setSkipSslValidation(boolean skipSslValidation)

    - #### getServerUri

          public String getServerUri()

    - #### setServerUri

          public void setServerUri(String serverUri)

    - #### getAuthentication

          public DataFlowClientProperties.Authentication getAuthentication()

    - #### setAuthentication

          public void setAuthentication(DataFlowClientProperties.Authentication authentication)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.